System.Xml [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 To be added System.Xml.XmlCharacterData To be added

Represents the text content of an element or attribute.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  Do not instantiate an directly; instead, use methods such as .

  Initializes a new instance of the class.

  The content of the node; see the property.
  The parent XML document.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.XmlNode ``

  CloneNode serves as a copy constructor for nodes. For text nodes, the cloned node always includes the data value. To see how this method behaves with other node types, see the method in the XmlNode class.

  The cloned node has no parent ( returns null).

  Creates a duplicate of this node.

  The cloned node.

  true to recursively clone the subtree under the specified node; false to clone only the node itself.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added. To be added.

  Gets the local name of the node.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added. To be added.

  Gets the qualified name of the node.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.XmlNodeType To be added. To be added.

  Gets the type of the current node.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.XmlNode To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.XmlText ``

  After SplitText is called, the original node contains all the content up to the offset point. A new node of the same type contains all the content at and after the offset point and is inserted as the next sibling of the original node. When the offset is equal to the length of this node, the new node has no data.

  Splits the node into two nodes at the specified offset, keeping both in the tree as siblings.

  The new node.

  The offset at which to split the node.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added. To be added.

  Gets or sets the value of the node.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  This method is a Microsoft extension to the Document Object Model (DOM).

  Saves all the children of the node to the specified . XmlText nodes do not have children, so this method has no effect.

  The XmlWriter to which you want to save.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  This method is a Microsoft extension to the Document Object Model (DOM).

  Saves the node to the specified .

  The XmlWriter to which you want to save.